// -*- coding: utf-8 -*-
// Title: Fak Dyson
// Author: JackDole 
// Date: 2015.12.02 12:24:20

// AU=149597870.691
// daysYear=365.24218985
// mSol=1.9891e+030
// mEarth=5.9736e+024
// mProx=2.446e+029

DwarfMoon	"Sternenkaefig"
{
	ParentBody	"Sol"
	Class		"Asteroid"
	
	// SOL		Sol  Radius 1.2 AU
	Radius		179517444.8292
	// Mass = ((4/3*pi*Radius^3*(1-Oblateness))-(4/3*pi*(Radius-Wall thickness)^3*(1-Oblateness)))*1800/eMass			// Radius in m
	// Mass = ((4/3*3.14159265358979323846*179517444829.2^3*(1-0.0))-(4/3*3.14159265358979323846*(179517444829.2-1)^3*(1-0.0)))*1800/5.9736e24
	//	1 Meter thickness; 1.8 gramm pro cm^3
	Mass 		122.02801504795190705783
	// RotationPeriod = sqrt(AU^3/(Mass1+Mass2))*24*365.24218985
	// RotationPeriod = sqrt(1.2^3/(1+122.02801504795190705783*5.9736e+024/1.9891e+030))*24*365.24218985
	RotationPeriod 11520.84902029766545271597
	
	//Proxima 	Proxima Radius 0.012 AU
	//Radius		1795174.448292
	//Mass		0.0122028014980656088
	//RotationPeriod 32.85973573258292394867
	
	Oblateness	0.0
	Obliquity	0
	EqAscendNode    0
	Precession	1e9
	
	Surface
	{
		DiffMap		"CageOutside.*"
		GlowMap		"CageGlow.*"  
		GlowMode       "Thermal"
		GlowColor      (1.00 0.90 0.66)
		GlowBright      0.025 
		DiffMapAlpha	"Transp"
	}
	
	/*
	Surface
	{
		DiffMap		"CelestiaDyson/grid_wh.*"
		BumpMap		"CelestiaDyson/gridbump_wh.*"
		DiffMapAlpha	"Transp"
	}
	*/
	
	NoClouds        false
	
	Clouds
	{
		Height		0
		DiffMap		"CageInside.*"
		GlowMap		"CageGlowSmall.*"  
		GlowMode       "Thermal"
		GlowColor      (1.00 0.90 0.66)
		GlowBright      0.025 
		Velocity	0
		DiffMapAlpha	"Transp"
	}
	
	/*
	Clouds
	{
		Height		0
		DiffMap		"CelestiaDyson/mw-msx-2k_wh.*"
		DiffMapAlpha	"Transp"
	}
	*/
	
	NoLava          true
	NoAtmosphere    true
	NoAurora        true
	NoRings         true
	NoCometTail     true
	NoOcean		true
	
	Orbit
	{
		Type		"Static"
		Eccentricity    0
		Inclination     0
		MeanAnomaly     0
		AscendingNode   0
		ArgOfPericen    0
		RefPlane	"Ecliptic"
	}
}

